Page MenuHomePhabricator

Provide prometheus metrics for the ncredir service
Closed, ResolvedPublic

Description

Right now the only metrics that we have is a simple access_log logging to disk on ncredir instances, this is far from ideal.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 8:54 AM

Change 524176 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] fifo_log_demux: Provide pipe creation capabilities

https://gerrit.wikimedia.org/r/524176

Change 524185 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ncredir: Use pipes instead of files for the access_log

https://gerrit.wikimedia.org/r/524185

Change 524409 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] prometheus: Collect ncredir nginx metrics

https://gerrit.wikimedia.org/r/524409

ema triaged this task as Medium priority.Jul 19 2019, 9:28 AM
ema moved this task from Triage to TLS on the Traffic board.Jul 19 2019, 9:37 AM

Change 524496 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] fifo_log_demux: Allow to specify a service that requires fifo_log_demux

https://gerrit.wikimedia.org/r/524496

Change 524176 merged by Vgutierrez:
[operations/puppet@production] fifo_log_demux: Provide pipe creation capabilities

https://gerrit.wikimedia.org/r/524176

Change 524496 merged by Vgutierrez:
[operations/puppet@production] fifo_log_demux: Allow to specify a service that requires fifo_log_demux

https://gerrit.wikimedia.org/r/524496

Change 524185 merged by Vgutierrez:
[operations/puppet@production] ncredir: Use pipes instead of files for the access_log

https://gerrit.wikimedia.org/r/524185

Change 528188 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ncredir: Ensure that mtail service doesn't get enabled

https://gerrit.wikimedia.org/r/528188

Change 528188 merged by Vgutierrez:
[operations/puppet@production] ncredir: Ensure that mtail service doesn't get enabled

https://gerrit.wikimedia.org/r/528188

Change 528193 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ncredir: Ensure that the default mtail service gets masked

https://gerrit.wikimedia.org/r/528193

Change 528193 merged by Vgutierrez:
[operations/puppet@production] ncredir: Ensure that the default mtail service gets masked

https://gerrit.wikimedia.org/r/528193

Change 524409 merged by Vgutierrez:
[operations/puppet@production] prometheus: Collect ncredir nginx metrics

https://gerrit.wikimedia.org/r/524409

Change 528309 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ncredir: Allow prometheus nodes to reach mtail port

https://gerrit.wikimedia.org/r/528309

Change 528309 merged by Vgutierrez:
[operations/puppet@production] ncredir: Allow prometheus nodes to reach mtail port

https://gerrit.wikimedia.org/r/528309

Vgutierrez closed this task as Resolved.Aug 6 2019, 5:38 AM